Page MenuHomeFreeBSD

New port: security/peda: Python-based GDB extension for exploit development and debugging
ClosedPublic

Authored by 0mp on Dec 5 2018, 11:23 AM.

Details

Summary

I am not sure if I should call this port py-peda instead. I think that I should not as PEDA itself does not care about the underlaying Python version.

Test Plan
  • portlint
  • poudriere testport
    • 11.2 i386, amd64
    • 12.0-RC3 amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 21365
Build 20692: arc lint + arc unit

Event Timeline

0mp created this revision.Dec 5 2018, 11:23 AM
mat added inline comments.Dec 6 2018, 3:54 PM
security/peda/Makefile
25

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

0mp updated this revision to Diff 51902.Dec 12 2018, 12:29 PM

Thanks, @mat. I'm sorry for the trouble.

  • Put option-related variables into their section.
  • Set OPTIONS_SUB to use %%DOCS%% instead of %%PORTDOCS%% in pkg-plist.
0mp marked an inline comment as done.Dec 12 2018, 12:29 PM
mat added a comment.Dec 12 2018, 3:03 PM

I'd rather you kept PORTDOCS, and the whole tree gets converted at once.

security/peda/Makefile
32–33

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

0mp updated this revision to Diff 51908.Dec 12 2018, 3:18 PM
  • Fix variable order once again.
  • Revert to using %%PORTDOCS%% in pkg-plist.
0mp marked 2 inline comments as done.Dec 12 2018, 3:18 PM
0mp added inline comments.
security/peda/Makefile
32–33

I'm really sorry. It should be fixed now.

0mp marked an inline comment as done.Dec 28 2018, 12:24 PM

@mat, @krion, I addressed all the issues from the review process. Can I commit this port?

mat accepted this revision.Dec 28 2018, 2:00 PM
This revision is now accepted and ready to land.Dec 28 2018, 2:00 PM
This revision was automatically updated to reflect the committed changes.